/*
     This file is part of GNUnet

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * Implementation of the UDP transport layer.
 * @file include/transports/udp.h
 * @author Christian Grothoff
 **/
#ifndef TRANSPORT_UDP_H
#define TRANSPORT_UDP_H

#include "server/transport.h"
#include "server/coreapi.h"

/* ********************** config *************** */

/**
 * How many incoming packages do we have in the buffer
 * (max.). Must be >= THREAD_COUNT to make sense.
 **/
#define QUEUE_LENGTH 8

/**
 * How many UDP threads do we start? 
 **/
#define THREAD_COUNT 4

/* ******************* API ******************** */

/**
 * The exported method. Makes the core api available
 * via a global and returns the udp transport API.
 **/ 
TransportAPI * inittransport_udp(CoreAPIForTransport * core);

void donetransport_udp();

#endif
